"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WithDeviceInsertionIfDoesNotExistAndSavingdata = void 0;
const use_device_insertion_if_does_not_exist_and_saving_data_1 = require("./use-device-insertion-if-does-not-exist-and-saving-data");
function WithDeviceInsertionIfDoesNotExistAndSavingdata(props) {
    const { containerLinkId, deep, deviceLinkId, setDeviceLinkId, children, renderIfLoading, renderIfNotInserted, } = props;
    const { isLoading } = (0, use_device_insertion_if_does_not_exist_and_saving_data_1.useDeviceInsertionIfDoesNotExistAndSavingData)({
        deep,
        containerLinkId,
        deviceLinkId,
        setDeviceLinkId,
    });
    if (isLoading) {
        return renderIfLoading();
    }
    if (deviceLinkId) {
        return children;
    }
    else {
        return renderIfNotInserted();
    }
}
exports.WithDeviceInsertionIfDoesNotExistAndSavingdata = WithDeviceInsertionIfDoesNotExistAndSavingdata;
